std::hash< unsigned long long > Struct Reference
Utilities » Function Objects » Hashes

`#include <functional_hash.h>`

Inherits std::__hash_base< _Result, _Arg >.

## Public Types

typedef _Result result_type | _GLIBCXX17_DEPRECATED
typedef _Arg argument_type | _GLIBCXX17_DEPRECATED

## Public Member Functions

size_t | operator() (unsigned long long __val) const noexcept

## Detailed Description

Explicit specialization for unsigned long long.

Definition at line 171 of file functional_hash.h.

## Member Typedef Documentation

## _GLIBCXX17_DEPRECATED [1/2]

template<typename _Result , typename _Arg >

typedef _Result result_type std::__hash_base< _Result, _Arg >::_GLIBCXX17_DEPRECATED

inherited

Definition at line 52 of file functional_hash.h.

## _GLIBCXX17_DEPRECATED [2/2]

template<typename _Result , typename _Arg >

typedef _Arg argument_type std::__hash_base< _Result, _Arg >::_GLIBCXX17_DEPRECATED

inherited

Definition at line 53 of file functional_hash.h.

## Member Function Documentation

## operator()()

size_t std::hash< unsigned long long >::operator() | ( | unsigned long long | __val | ) | const

inline noexcept

Definition at line 171 of file functional_hash.h.

The documentation for this struct was generated from the following file:

- functional_hash.h